using adas_core.Domain.Models.MongoModels;
using MongoDB.Bson;

namespace adas_core.Application.Repositories.Interfaces;

public interface INoticeRepository : IMongoRepository<Notice>
{
    Task Delete(ObjectId id);
    Task Update(Notice notice);
    Task<IEnumerable<Notice>> FindAll();
    Task<Notice?> FindById(ObjectId id);
    Task<IEnumerable<Notice>?> FindByDate(DateTime date);
    Task<IEnumerable<Notice>?> FindByType(string type);
    Task<IEnumerable<Notice>?> FindByDisplayId(ObjectId displayId);
}